#!/usr/bin/env bash
# This installs P4Python

cd /tmp
mkdir p4python
cd p4python
echo "Downloading P4API and P4Python"
wget -q ftp://ftp.perforce.com/perforce/r16.2/bin.tools/p4python.tgz
wget -q ftp://ftp.perforce.com/perforce/r17.1/bin.linux26x86_64/p4api.tgz
tar xzf p4api.tgz
tar xzf p4python.tgz
P4PYTHON_PATH=`find /tmp/p4python/ -name "p4python-*"`
cd $P4PYTHON_PATH
API_PATH=`find /tmp/p4python -name "p4api-*" -type d`
mv setup.cfg setup.cfg.bak
echo [p4python_config] > setup.cfg
echo p4_api=$API_PATH>> setup.cfg
echo p4_ssl=/usr/lib>> setup.cfg
sudo /usr/local/bin/python3.4 setup.py install
